#!/bin/bash

BFDIR=/media/facundo/BigFoot

if [[ $EUID -ne 0 ]]; then
   echo "Run with sudo"
   exit 1
fi

rmdir $BFDIR
if [ -e $BFDIR ]; then
    echo "ERROR: El directorio todavía está ahí"
    exit 1
fi
mkdir $BFDIR
mount /dev/sda1 $BFDIR
echo "Pendrive montado OK!"

while true; do
    echo "Apretar una tecla para desmontar"
    read -n 1
    
    umount $BFDIR
    if [[ $? -eq 0 ]]; then
        break
    fi
done

echo "Listo"
